ServerCookie (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.ServerCookie class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http
Class ServerCookie

    java.lang.Object
      org.apache.tomcat.util.http.ServerCookie

All Implemented Interfaces:
  java.io.Serializable

public class ServerCookie
extends java.lang.Object
implements java.io.Serializable

Server-side cookie representation. Allows recycling and uses MessageBytes as low-level representation ( and thus the byte-> char conversion can be delayed until we know the charset ). Tomcat.core uses this recyclable object to represent cookies, and the facade will convert it to the external representation.

See Also:
  Serialized Form

Constructor Summary
`ServerCookie()`

Method Summary
`static void` | `appendCookieValue(java.lang.StringBuffer buf, int version, java.lang.String name, java.lang.String value, java.lang.String path, java.lang.String domain, java.lang.String comment, int maxAge, boolean isSecure)`
`static boolean` | `checkName(java.lang.String name)`
`MessageBytes` | `getComment()`
`java.lang.String` | `getCookieHeaderName()` Return the header name to set the cookie, based on cookie version
`static java.lang.String` | `getCookieHeaderName(int version)` Return the header name to set the cookie, based on cookie version
`MessageBytes` | `getDomain()`
`int` | `getMaxAge()`
`MessageBytes` | `getName()`
`MessageBytes` | `getPath()`
`boolean` | `getSecure()`
`MessageBytes` | `getValue()`
`int` | `getVersion()`
`static boolean` | `isToken(java.lang.String value)`
`static void` | `log(java.lang.String s)`
`static void` | `maybeQuote(int version, java.lang.StringBuffer buf, java.lang.String value)`
`void` | `recycle()`
`void` | `setMaxAge(int expiry)`
`void` | `setSecure(boolean flag)`
`void` | `setVersion(int v)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerCookie

    public ServerCookie()

Method Detail

### recycle

    public void recycle()

### getComment

    public MessageBytes getComment()

### getDomain

    public MessageBytes getDomain()

### setMaxAge

    public void setMaxAge(int expiry)

### getMaxAge

    public int getMaxAge()

### getPath

    public MessageBytes getPath()

### setSecure

    public void setSecure(boolean flag)

### getSecure

    public boolean getSecure()

### getName

    public MessageBytes getName()

### getValue

    public MessageBytes getValue()

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int v)

### toString

    public java.lang.String toString()

### isToken

    public static boolean isToken(java.lang.String value)

### checkName

    public static boolean checkName(java.lang.String name)

### getCookieHeaderName

    public java.lang.String getCookieHeaderName()

  Return the header name to set the cookie, based on cookie version

### getCookieHeaderName

    public static java.lang.String getCookieHeaderName(int version)

  Return the header name to set the cookie, based on cookie version

### appendCookieValue

    public static void appendCookieValue(java.lang.StringBuffer buf,
                                         int version,
                                         java.lang.String name,
                                         java.lang.String value,
                                         java.lang.String path,
                                         java.lang.String domain,
                                         java.lang.String comment,
                                         int maxAge,
                                         boolean isSecure)

### maybeQuote

    public static void maybeQuote(int version,
                                  java.lang.StringBuffer buf,
                                  java.lang.String value)

### log

    public static void log(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.